Index: Version-0.8/import/sichten.sql
===================================================================
--- Version-0.8/import/sichten.sql	(revision 324)
+++ Version-0.8/import/sichten.sql	(revision 326)
@@ -1195,4 +1494,25 @@
   ORDER BY fo.gemarkungsnummer, fo.flurnummer, fo.zaehler, k.gemeinde, k.bezeichnung;
 
+*/
+-- neue Version mit Relationen OHNE die Tabelle "alkis_beziehungen":
+
+CREATE OR REPLACE VIEW strasse_als_gewanne_flst
+AS
+  SELECT -- fo.gml_id, 
+         fo.gemarkungsnummer || '-' || fo.flurnummer || '-' || fo.zaehler::text || COALESCE ('/' || fo.nenner::text, '') AS flstkennz,
+         k.gemeinde, 
+         o.unverschluesselt AS gewanne,
+      -- k.bezeichnung AS strassenname,
+         k.lage        -- AS strassen_schluessel
+  FROM ax_lagebezeichnungkatalogeintrag k   -- StraÃentabelle
+  JOIN ax_lagebezeichnungohnehausnummer o   -- Gewanne
+    ON k.bezeichnung = o.unverschluesselt   -- Gleiche Namen 
+  JOIN alkis_beziehungen vo
+    ON o.gml_id=vo.beziehung_zu AND vo.beziehungsart= 'zeigtAuf' 
+  JOIN ax_flurstueck fo
+    ON fo.gml_id=vo.beziehung_von
+ WHERE fo.gemeinde = k.gemeinde  -- Gewanne wird fÃŒr ein Flst. in gleicher Gemeinde verwendet, wie der StraÃenschlÃŒssel
+  ORDER BY fo.gemarkungsnummer, fo.flurnummer, fo.zaehler, k.gemeinde, k.bezeichnung;
+
 COMMENT ON VIEW strasse_als_gewanne_flst
  IS 'FlurstÃŒcke mit Gewannenbezeichnungen, die auch als StraÃenname verwendet werden.';
@@ -1206,9 +1526,4 @@
 /* 
 -- alte Version mit Relationen ÃŒber die Tabelle "alkis_beziehungen":
-
-    +++ HIER HIN KOPIEREN  +++
-
-*/
--- neue Version mit Relationen OHNE die Tabelle "alkis_beziehungen":
 
 CREATE OR REPLACE VIEW nachmigration_aehnliche_anschriften
@@ -1230,4 +1545,25 @@
     ORDER BY p.nachnameoderfirma, p.vorname;
 
+*/
+-- neue Version mit Relationen OHNE die Tabelle "alkis_beziehungen":
+
+CREATE OR REPLACE VIEW nachmigration_aehnliche_anschriften
+AS
+  SELECT DISTINCT p.gml_id, p.nachnameoderfirma, p.vorname, 
+        a1.ort_post, a1.strasse AS strasse1, a2.strasse AS strasse2, a1.hausnummer
+     -- , b1.import_id AS import1, b2.import_id AS import2
+    FROM ax_person         p
+    JOIN alkis_beziehungen b1 ON b1.beziehung_von=p.gml_id
+    JOIN ax_anschrift      a1 ON a1.gml_id=b1.beziehung_zu
+    JOIN alkis_beziehungen b2 ON b2.beziehung_von=p.gml_id
+    JOIN ax_anschrift      a2 ON a2.gml_id=b2.beziehung_zu
+    WHERE b1.beziehungsart='hat' 
+      AND b2.beziehungsart='hat'
+      AND a1.gml_id    <>  a2.gml_id
+      AND a1.ort_post   =  a2.ort_post
+      AND a1.strasse    like trim(a2.strasse, '.') || '%'
+      AND a1.hausnummer =  a2.hausnummer
+    ORDER BY p.nachnameoderfirma, p.vorname;
+
 COMMENT ON VIEW nachmigration_aehnliche_anschriften
  IS 'Zu einer Person gibt es mehrere Anschriften, die in Ort und Hausnummer identisch sind und beim StraÃennemen entweder auch identisch sind oder eine AbkÃŒrzung mit Punkt enthalten.';
